apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: svb-dex
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: dex
      version: "2.15.2"
      sourceRef:
        kind: HelmRepository
        name: stable
        namespace: bk-test
      interval: 1m
  values:
    config:
      storage:
        type: sqlite3
        config:
          file: ":memory:"
      logger:
        level: info
      issuer: https://dex-svb.demo.blauweknop.app
      staticClients:
        - id: nlx-management
          name: NLX Management
          secret: J7VLST6DqlhFnrzKcpjKnfqr
          redirectURIs:
            - https://management-svb.demo.blauweknop.app/oidc/callback
      enablePasswordDB: true
      staticPasswords:
        - username: admin
          userID: 23b027bf-b1b1-4a08-b95b-921d4afc38bc
          hash: $2a$10$2b2cU8CPhOTaGrs1HRQuAueS7JTT5ZHsHSzYiFPm1leZck7Mc8T4W # password
          name: Admin User
          email: admin@example.com
      oauth2:
        skipApprovalScreen: false
    ingress:
      enabled: true
      hosts:
      - dex-svb.demo.blauweknop.app
      tls:
      - hosts:
        - dex-svb.demo.blauweknop.app
        secretName: wildcard-cert-demo-blauweknop-app

    ports:
      web:
        servicePort: 80
    grpc: false
    certs:
      web:
        create: false
      grpc:
        create: false
    rbac:
      create: false
